Name: robotnik-discord-bot
Version: 0.0.1
Release: 6
Summary: A discord bot for posting RSS news
License: GPL3.0

BuildRequires: cmake gcc-c++ make git
BuildRequires: cli11-devel fmt-devel gtest-devel gmock-devel openssl-devel yaml-cpp-devel curl-devel
BuildRequires: expat-devel gdbm-devel nlohmann-json-devel systemd-devel zlib-ng-compat-static

Source: %{name}-%{version}.tar.bz2

%description

Robotnik is a discord bot for posting RSS news. For the time being it's made to suit the needs of a single user.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_sysconfdir}/systemd/system/robotnik.service
%{_bindir}/robotnikpp
%{_libdir}/lib*
%exclude %{_includedir}
%exclude %{_libdir}/cmake
%exclude %{_libdir}/pkgconfig

%changelog
* Sat Apr 26 2025 Dorin Lazăr <dorin.lazar@protonmail.com> - 0.0.1-1
- Initial package
